/*
        FILE :                  matrix.h

        DESCRIPTION :           Definition of matrix routines

        AUTHOR :                Trax / Aspirine (c), 1999

        VERSION :               0.1b

	NOTE : 			METTRE EN INLINE matrix_vector_mul !!
*/

#ifndef _MATRIX_H_INCLUDED
#define _MATRIX_H_INCLUDED

//// INCLUDES /////////////////////////////////////////////////////////////////

#include "3dstruct.h"

//// PROTOTYPES ///////////////////////////////////////////////////////////////

void matrix_mul(MATRIX a, MATRIX b); /* return to a */

///////////////////////////////////////////////////////////////////////////////

/*inline*/ void matrix_mul_vector(VERTEX vector, VERTEX *result, MATRIX mat);

///////////////////////////////////////////////////////////////////////////////

void matrix_update(MATRIX m, float sx, float sy, float sz,
                   float cx, float cy, float cz);

///////////////////////////////////////////////////////////////////////////////

void matrix_normalize(MATRIX m);



#endif
